!lua

-- Cabin Lights for AIG Dash 8-300.lua
-- Dim cabin lights when landing light is on and below 8000 feet
-- Turn off lightmap between 10:35 PM and 6:55 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local LandingLight = varget("A:LIGHT LANDING", "Bool")
local Altitude = varget("A:PLANE ALT ABOVE GROUND", "feet")
local Scale = 0.1

if LandingLight > 0 and Altitude < 8000 then
    Scale = 0.01
	elseif CabinLight > 0 or LocalTime > 24900 and LocalTime < 81300 then
    TextureName = "AIG_Dash-8-300_L.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)