!lua

-- Cabin Lights for AIG Dash8-400.lua
-- Dim cabin lights when landing light is on and below 8000 feet
-- Turn off lightmap between 10:45 PM and 6:45 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local BeaconLight = varget("A:LIGHT BEACON", "Bool")
local Altitude = varget("A:PLANE ALT ABOVE GROUND", "feet")
local Scale = 0.1

if BeaconLight > 0 and Altitude < 8000 then
    Scale = 0.01
	elseif CabinLight > 0 or LocalTime > 24300 and LocalTime < 81900 then
    TextureName = "AIG_Dash-8-400_L.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)